org.apache.ignite.internal.processors.rest.request

## Class DataStructuresRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.DataStructuresRequest

    public class DataStructuresRequest
    extends GridRestRequest

### Constructor Summary

Constructors
Constructor and Description
`DataStructuresRequest()`

### Method Summary

Methods
`Long` `delta()`
`void` `delta(Long delta)`
`Long` `initial()`
`void` `initial(Long init)`
`Object` `key()`
`void` `key(Object key)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataStructuresRequest

    public DataStructuresRequest()

### Method Detail

#### key

    public Object key()

Returns:
  Key.

#### key

    public void key(Object key)

Parameters:
  `key` - Key.

#### delta

    public Long delta()

Returns:
  Delta for increment and decrement commands.

#### delta

    public void delta(Long delta)

Parameters:
  `delta` - Delta for increment and decrement commands.

#### initial

    public Long initial()

Returns:
  Initial value for increment and decrement commands.

#### initial

    public void initial(Long init)

Parameters:
  `init` - Initial value for increment and decrement commands.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016